WP61Header Class Reference

`#include <WP61Header.h>`

Inheritance diagram for WP61Header:

## Public Member Functions

| WP61Header (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned documentOffset, unsigned char productType, unsigned char fileType, unsigned char majorVersion, unsigned char minorVersion, unsigned short documentEncryption)
| ~WP61Header () override
unsigned | getDocumentSize () const
Public Member Functions inherited from WP6Header
| WP6Header (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned documentOffset, unsigned char productType, unsigned char fileType, unsigned char majorVersion, unsigned char minorVersion, unsigned short documentEncryption)
| ~WP6Header () override
unsigned short | getIndexHeaderOffset () const
unsigned short | getNumPrefixIndices () const
Public Member Functions inherited from WPXHeader
| WPXHeader (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned documentOffset, unsigned char productType, unsigned char fileType, unsigned char majorVersion, unsigned char minorVersion, unsigned short documentEncryption)
virtual | ~WPXHeader ()
unsigned | getDocumentOffset () const
unsigned char | getProductType () const
unsigned char | getFileType () const
unsigned char | getMajorVersion () const
unsigned char | getMinorVersion () const
unsigned short | getDocumentEncryption () const

## Private Attributes

unsigned | m_documentSize

## Additional Inherited Members

Static Public Member Functions inherited from WPXHeader
static WPXHeader * | constructHeader (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
Protected Member Functions inherited from WP6Header
void | _readIndexInformation (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Constructor & Destructor Documentation

## WP61Header()

WP61Header::WP61Header | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned | documentOffset,
|  | unsigned char | productType,
|  | unsigned char | fileType,
|  | unsigned char | majorVersion,
|  | unsigned char | minorVersion,
|  | unsigned short | documentEncryption )

## ~WP61Header()

WP61Header::~WP61Header | ( |  | ) |

override

## Member Function Documentation

## getDocumentSize()

unsigned WP61Header::getDocumentSize | ( |  | ) | const

inline

## Member Data Documentation

## m_documentSize

unsigned WP61Header::m_documentSize

private

Referenced by getDocumentSize(), and WP61Header().

The documentation for this class was generated from the following files:

- WP61Header.h
- WP61Header.cpp